Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Column

    java.lang.Object
      |
      +--org.hsqldb.Column

class Column
extends java.lang.Object

Class declaration

Field Summary
`(package private) static int` | `BIGINT`
`(package private) static int` | `BINARY`
`(package private) static int` | `BIT`
`(package private) static int` | `CHAR`
`(package private) static int` | `DATE`
`(package private) static int` | `DECIMAL`
`(package private) static int` | `DOUBLE`
`(package private) static int` | `FLOAT`
`(package private) static int` | `INTEGER`
`(package private) int` | `iType`
`(package private) static int` | `LONGVARBINARY`
`(package private) static int` | `LONGVARCHAR`
`(package private) static int` | `NULL`
`(package private) static int` | `NUMERIC`
`(package private) static int` | `OTHER`
`(package private) static int` | `REAL`
`(package private) static int` | `SMALLINT`
`(package private) java.lang.String` | `sName`
`(package private) static int` | `TIME`
`(package private) static int` | `TIMESTAMP`
`(package private) static int` | `TINYINT`
`(package private) static int[]` | `TYPES`
`(package private) static int` | `VARBINARY`
`(package private) static int` | `VARCHAR`
`(package private) static int` | `VARCHAR_IGNORECASE`

Constructor Summary
`(package private)` | `Column(java.lang.String name, boolean nullable, int type, boolean identity)` Constructor declaration

Method Summary
`(package private) static void` | `()`
`(package private) static java.lang.Object` | `add(java.lang.Object a, java.lang.Object b, int type)` Method declaration
`(package private) static java.lang.Object` | `avg(java.lang.Object a, int type, int count)` Method declaration
`(package private) static int` | `compare(java.lang.Object a, java.lang.Object b, int type)` Method declaration
`(package private) static java.lang.Object` | `concat(java.lang.Object a, java.lang.Object b)` Method declaration
`(package private) static java.lang.String` | `convertObject(java.lang.Object o)` Method declaration
`(package private) static java.lang.Object` | `convertObject(java.lang.Object o, int type)` Method declaration
`(package private) static java.lang.Object` | `convertString(java.lang.String s, int type)` Method declaration
`(package private) static java.lang.String` | `createString(java.lang.Object o, int type)` Method declaration
`(package private) static java.lang.String` | `createString(java.lang.String s)` Method declaration
`(package private) static java.lang.Object` | `divide(java.lang.Object a, java.lang.Object b, int type)` Method declaration
`(package private) static int` | `getSize(java.lang.Object[] data, Table t)` Method declaration
`(package private) static java.lang.String` | `getType(int type)` Method declaration
`(package private) static int` | `getTypeNr(java.lang.String type)` Method declaration
`(package private) boolean` | `isIdentity()` Method declaration
`(package private) boolean` | `isNullable()` Method declaration
`(package private) static java.lang.Object` | `max(java.lang.Object a, java.lang.Object b, int type)` Method declaration
`(package private) static java.lang.Object` | `min(java.lang.Object a, java.lang.Object b, int type)` Method declaration
`(package private) static java.lang.Object` | `multiply(java.lang.Object a, java.lang.Object b, int type)` Method declaration
`(package private) static java.lang.Object` | `negate(java.lang.Object a, int type)` Method declaration
`(package private) static java.lang.Object[]` | `readData(java.io.DataInput in, int l)` Method declaration
`(package private) static java.lang.Object` | `subtract(java.lang.Object a, java.lang.Object b, int type)` Method declaration
`(package private) static java.lang.Object` | `sum(java.lang.Object a, java.lang.Object b, int type)` Method declaration
`(package private) static void` | `writeData(java.io.DataOutput out, int l, int[] type, java.lang.Object[] data)` Method declaration
`(package private) static void` | `writeData(java.io.DataOutput out, java.lang.Object[] data, Table t)` Method declaration

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BIT

    static final int BIT

### TINYINT

    static final int TINYINT

### BIGINT

    static final int BIGINT

### LONGVARBINARY

    static final int LONGVARBINARY

### VARBINARY

    static final int VARBINARY

### BINARY

    static final int BINARY

### LONGVARCHAR

    static final int LONGVARCHAR

### CHAR

    static final int CHAR

### NUMERIC

    static final int NUMERIC

### DECIMAL

    static final int DECIMAL

### INTEGER

    static final int INTEGER

### SMALLINT

    static final int SMALLINT

### FLOAT

    static final int FLOAT

### REAL

    static final int REAL

### DOUBLE

    static final int DOUBLE

### VARCHAR

    static final int VARCHAR

### DATE

    static final int DATE

### TIME

    static final int TIME

### TIMESTAMP

    static final int TIMESTAMP

### OTHER

    static final int OTHER

### NULL

    static final int NULL

### VARCHAR_IGNORECASE

    static final int VARCHAR_IGNORECASE

### TYPES

    static final int[] TYPES

### sName

    java.lang.String sName

### iType

    int iType

Constructor Detail

### Column

    Column(java.lang.String name,
           boolean nullable,
           int type,
           boolean identity)

  Constructor declaration
  Parameters:
    `name` -
    `nullable` -
    `type` -
    `identity` -

Method Detail

###

    static void ()

### isIdentity

    boolean isIdentity()

  Method declaration
  Returns:

### getTypeNr

    static int getTypeNr(java.lang.String type)
                  throws java.sql.SQLException

  Method declaration
  Parameters:
    `type` -
  Returns:
  Throws:
    java.sql.SQLException -

### getType

    static java.lang.String getType(int type)
                             throws java.sql.SQLException

  Method declaration
  Parameters:
    `type` -
  Returns:
  Throws:
    java.sql.SQLException -

### isNullable

    boolean isNullable()

  Method declaration
  Returns:

### add

    static java.lang.Object add(java.lang.Object a,
                                java.lang.Object b,
                                int type)
                         throws java.sql.SQLException

  Method declaration
  Parameters:
    `a` -
    `b` -
    `type` -
  Returns:
  Throws:
    java.sql.SQLException -

### concat

    static java.lang.Object concat(java.lang.Object a,
                                   java.lang.Object b)
                            throws java.sql.SQLException

  Method declaration
  Parameters:
    `a` -
    `b` -
  Returns:
  Throws:
    java.sql.SQLException -

### negate

    static java.lang.Object negate(java.lang.Object a,
                                   int type)
                            throws java.sql.SQLException

  Method declaration
  Parameters:
    `a` -
    `type` -
  Returns:
  Throws:
    java.sql.SQLException -

### multiply

    static java.lang.Object multiply(java.lang.Object a,
                                     java.lang.Object b,
                                     int type)
                              throws java.sql.SQLException

  Method declaration
  Parameters:
    `a` -
    `b` -
    `type` -
  Returns:
  Throws:
    java.sql.SQLException -

### divide

    static java.lang.Object divide(java.lang.Object a,
                                   java.lang.Object b,
                                   int type)
                            throws java.sql.SQLException

  Method declaration
  Parameters:
    `a` -
    `b` -
    `type` -
  Returns:
  Throws:
    java.sql.SQLException -

### subtract

    static java.lang.Object subtract(java.lang.Object a,
                                     java.lang.Object b,
                                     int type)
                              throws java.sql.SQLException

  Method declaration
  Parameters:
    `a` -
    `b` -
    `type` -
  Returns:
  Throws:
    java.sql.SQLException -

### sum

    static java.lang.Object sum(java.lang.Object a,
                                java.lang.Object b,
                                int type)
                         throws java.sql.SQLException

  Method declaration
  Parameters:
    `a` -
    `b` -
    `type` -
  Returns:
  Throws:
    java.sql.SQLException -

### avg

    static java.lang.Object avg(java.lang.Object a,
                                int type,
                                int count)
                         throws java.sql.SQLException

  Method declaration
  Parameters:
    `a` -
    `type` -
    `count` -
  Returns:
  Throws:
    java.sql.SQLException -

### min

    static java.lang.Object min(java.lang.Object a,
                                java.lang.Object b,
                                int type)
                         throws java.sql.SQLException

  Method declaration
  Parameters:
    `a` -
    `b` -
    `type` -
  Returns:
  Throws:
    java.sql.SQLException -

### max

    static java.lang.Object max(java.lang.Object a,
                                java.lang.Object b,
                                int type)
                         throws java.sql.SQLException

  Method declaration
  Parameters:
    `a` -
    `b` -
    `type` -
  Returns:
  Throws:
    java.sql.SQLException -

### compare

    static int compare(java.lang.Object a,
                       java.lang.Object b,
                       int type)
                throws java.sql.SQLException

  Method declaration
  Parameters:
    `a` -
    `b` -
    `type` -
  Returns:
  Throws:
    java.sql.SQLException -

### convertString

    static java.lang.Object convertString(java.lang.String s,
                                          int type)
                                   throws java.sql.SQLException

  Method declaration
  Parameters:
    `s` -
    `type` -
  Returns:
  Throws:
    java.sql.SQLException -

### convertObject

    static java.lang.String convertObject(java.lang.Object o)

  Method declaration
  Parameters:
    `o` -
  Returns:

### convertObject

    static java.lang.Object convertObject(java.lang.Object o,
                                          int type)
                                   throws java.sql.SQLException

  Method declaration
  Parameters:
    `o` -
    `type` -
  Returns:
  Throws:
    java.sql.SQLException -

### createString

    static java.lang.String createString(java.lang.Object o,
                                         int type)
                                  throws java.sql.SQLException

  Method declaration
  Parameters:
    `o` -
    `type` -
  Returns:
  Throws:
    java.sql.SQLException -

### createString

    static java.lang.String createString(java.lang.String s)

  Method declaration
  Parameters:
    `s` -
  Returns:

### readData

    static java.lang.Object[] readData(java.io.DataInput in,
                                       int l)
                                throws java.io.IOException,
                                       java.sql.SQLException

  Method declaration
  Parameters:
    `in` -
    `l` -
  Returns:
  Throws:
    java.io.IOException -
    java.sql.SQLException -

### writeData

    static void writeData(java.io.DataOutput out,
                          java.lang.Object[] data,
                          Table t)
                   throws java.io.IOException

  Method declaration
  Parameters:
    `out` -
    `data` -
    `t` -
  Throws:
    java.io.IOException -

### writeData

    static void writeData(java.io.DataOutput out,
                          int l,
                          int[] type,
                          java.lang.Object[] data)
                   throws java.io.IOException

  Method declaration
  Parameters:
    `out` -
    `l` -
    `type` -
    `data` -
  Throws:
    java.io.IOException -

### getSize

    static int getSize(java.lang.Object[] data,
                       Table t)

  Method declaration
  Parameters:
    `data` -
    `t` -
  Returns:

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD